org.apache.ivy.util.filter

## Class ArtifactTypeFilter

- java.lang.Object
- - org.apache.ivy.util.filter.ArtifactTypeFilter

All Implemented Interfaces:
  Filter

    public class ArtifactTypeFilter
    extends java.lang.Object
    implements Filter

### Constructor Summary

Constructors
Constructor and Description
`ArtifactTypeFilter(java.util.Collection acceptedTypes)`

### Method Summary

Methods
`boolean` `accept(java.lang.Object o)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArtifactTypeFilter

    public ArtifactTypeFilter(java.util.Collection acceptedTypes)

### Method Detail

#### accept

    public boolean accept(java.lang.Object o)

Specified by:
  `accept` in interface `Filter`